Change the image of a strategy

POST https://api.cryptohopper.com/v1/strategy/{strategy_id}/changeimage

Replaces the image of one of the user's own strategies. The image is cropped to 600 by 430 pixels, stored as JPEG and its new URL is returned.

image is the image file encoded as base64. Needs a valid access token, but no specific scope.

Example request

curl -X POST "https://api.cryptohopper.com/v1/strategy/STRATEGY_ID/changeimage" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"image":"/9j/4AAQSkZJRgABAQAAAQABAAD..."}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
strategy_id string Required ID of the strategy.

Response

Example response (illustrative values)

{
    "data": "https://cdn.cryptohopper.com/images/strategies/user/369000_2026-09-25-14-02-11.jpg"
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.